Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.prerender
Class PrerenderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.ibm.workplace.wcm.api.exceptions.WCMException
                  com.ibm.workplace.wcm.api.prerender.PrerenderException

All Implemented Interfaces:
  Localized, java.io.Serializable

    public class PrerenderException

extends WCMException

The exception is to be thrown by a PrerenderAuthenticator if an error occurs whilst trying to authenticate.

Since:
  7.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.ibm.workplace.wcm.api.exceptions.WCMException
`ERR_APTRIX`

Constructor Summary
`PrerenderException()` Constructor.
`PrerenderException(java.lang.String detail)` Constructor that requires detail
`PrerenderException(java.lang.String detail, java.lang.Throwable cause)` Constructor that requires detail plus a cause exception
`PrerenderException(java.lang.Throwable cause)` Constructor that requires a cause exception

Method Summary

Methods inherited from class com.ibm.workplace.wcm.api.exceptions.WCMException
`getCause, getDescription, getErrorCode, getLocales, getMessage, getMessage, getTitle, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrerenderException

    public PrerenderException()

  Constructor.

### PrerenderException

    public PrerenderException(java.lang.String detail,
                              java.lang.Throwable cause)

  Constructor that requires detail plus a cause exception

  Parameters:
    `detail` - a message description extra information about the exception
    `cause` - the exception that caused this exception

### PrerenderException

    public PrerenderException(java.lang.String detail)

  Constructor that requires detail

  Parameters:
    `detail` - a message description extra information about the exception

### PrerenderException

    public PrerenderException(java.lang.Throwable cause)

  Constructor that requires a cause exception

  Parameters:
    `cause` - the exception that caused this exception

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD